summaryrefslogtreecommitdiff
path: root/qa/724
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/724
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/724')
-rwxr-xr-xqa/72441
1 files changed, 41 insertions, 0 deletions
diff --git a/qa/724 b/qa/724
new file mode 100755
index 0000000..eec27ff
--- /dev/null
+++ b/qa/724
@@ -0,0 +1,41 @@
+#!/bin/sh
+# PCP QA Test No. 724
+# Test using the pmfind app for usage errors
+#
+# Copyright (c) 2014 Red Hat. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_get_libpcp_config
+$service_discovery || _notrun "No support for service discovery"
+
+# Make sure that at least one of the supported discovery mechanisms is available.
+discovery_available=false
+avahi-daemon --check 2>/dev/null && discovery_available=true
+$discovery_available || _notrun "No discovery mechanisms are available"
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+echo "Unknown service"
+pmfind -s unknown
+echo "Exit status: $?"
+
+echo "Unknown mechanism"
+pmfind -m unknown
+echo "Exit status: $?"
+
+# success, all done
+status=0
+
+exit